[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: parted unblock, and upcoming transition

On Sat, Mar 20, 2010 at 05:58:39PM +0100, Philipp Kern wrote:
> am Thu, Mar 18, 2010 at 12:02:22AM +0000 hast du folgendes geschrieben:
> > > So with 1.8.8.git.2009.07.19-6 theoretically every source package could
> > > switch its build-dep to libparted-dev already?  Or are those supposed to
> > > use the precise version as they do now?  (I.e. in the current state they
> > > are not binNMU-able.)
> > If the release team prefers that, I don't mind as such - but note that
> > it's quite likely that several of these source packages will want to use
> > API introduced more recently than 1.8.8 (the alignment handling
> > functions), so just "libparted-dev" seems a little too imprecise really?
> I later saw that libparted-dev was virtual and thus the versioned dependency
> thing doesn't work out too well, but may you enlighten me why that is the
> case?  I.e. why libparted-dev is virtual and the real instance being named
> after the SONAME instead of the API version?  ;-)

The API version (libparted-2.1-dev, etc.) was used before upstream
started setting a proper SONAME.  Now that they do (that's new in parted
2.2), I think it's appropriate to name the package after it; I'm
confident in their ability to manage it properly from here on in.

Colin Watson                                       [cjwatson@debian.org]

Reply to: